Subject: SV: [Zope] Changing Objects properties
From: "Jens JB. Bjerre" <[email-masked]>
To: "Oliver Marx" <[email-masked]>
Date: Mon, 24 Mar 2003 14:21:49 +0100

Hi

Thank's, but i have tried that.

My update form have an action pointing to this method:

------------------------------------------------------------
<dtml-var standard_html_header>
<dtml-call "PARENTS[0].manage_changeProperties(beskrivelse = REQUEST['new_beskrivelse'])">

<dtml-var standard_html_footer>
-------------------------------------------------------------

When i try that, i get the following error:

Zope Error
Zope has encountered an error while publishing this resource.

Error Type: AttributeError
Error Value: manage_changeProperties

Maby it's a question of NameSpace ???

Regards

Jens

-----Oprindelig meddelelse-----
Fra: Oliver Marx [mailto:[email-masked]] 
Sendt: 24. marts 2003 14:16
Til: Jens JB. Bjerre
Cc: [email-masked]
Emne: Re: [Zope] Changing Objects properties

Jens JB. Bjerre wrote:
> Hi
> 
>  
> 
> I have a newbee question. I have made a form in a DTMLMethod which i'm 
> going to use, to change some properties in an object. I'm calling it 
> with: http://site/theObjectToChange/theMethod  - and that part is 
> working fine. When I have changed the values, how can I "save" those 
> changes to the object.
> 
>  
> 
> Regards
> 
>  
> 
> Jens Bjerre
> 
manage_changeProperties is your friend... I think ;)

\Oliver

-- 
Direktør / Managing Director
Oliver Marx

TEKK
Lyngbyvej 20
DK-2100 København Ø

Main: +45 39 15 80 60
Direct: +45 39 15 80 62

http://www.tekk.dk